Skip to main content
`Ctrl`+`K`

# TSAdaptSetSafety

Set safety factors for time step adaptor

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetSafety(TSAdapt adapt, PetscReal safety, PetscReal reject_safety)

Logically Collective

## Input Parameters

- adapt - adaptive controller context

- safety - safety factor relative to target error/stability goal

- reject_safety - extra safety factor to apply if the last step was rejected

## Options Database Keys

- -ts_adapt_safety <safety> - to set safety factor

- -ts_adapt_reject_safety <reject_safety> - to set reject safety factor

## Note

Use `PETSC_CURRENT` to keep the current value for either parameter

## Fortran Note

Use `PETSC_CURRENT_REAL`

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdapt`, `TSAdaptGetSafety()`, `TSAdaptChoose()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages